Retrieves the user_planning_slot with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "e6ad358f-b5da-435b-aca5-f75789acaa0d",
"user_id": "802ff5f4-10f5-4599-a771-242df37ccaef",
"user_planning_slot_type_id": "081e796b-06e0-4b4a-a34d-450cfc67307b",
"date_from": "2026-11-07T10:39:37.3136552+00:00",
"date_to": "2026-11-07T10:39:37.3136552+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-11-07T10:39:37.3136552+00:00"
}